Re: [racket-dev] up-to-date libgtk for drracket on debian stable?

2011-01-04 Thread Philippe Meunier
Matthew Flatt wrote: If you configure with `--enable-pthreads', does it fix the problem? If so, we can make `--enable-pthreads' the default for OpenBSD. --enable-pthread Yes, it works. Note that I still get a warning when running configure: [...] === configuring in foreign/libffi

Re: [racket-dev] up-to-date libgtk for drracket on debian stable?

2011-01-03 Thread Philippe Meunier
Matthew Flatt wrote: The main change seems to be dropping the 0 version. Does replacing '(0) with '(0 ) also work, so that a versionless name is tried when the versioned name fails? That part seems to work. See the error message below. It looks a bit strange though because the error message

Re: [racket-dev] up-to-date libgtk for drracket on debian stable?

2011-01-03 Thread Matthew Flatt
At Mon, 3 Jan 2011 09:05:15 -0500, Philippe Meunier wrote: Just to make things more annoying, libcairo needs libpthread: [...] so I also had to change the define-runtime-lib macro from collects/racket/draw/private/libs.rkt so that the unix case of the macro accepts multiple libraries.

Re: [racket-dev] up-to-date libgtk for drracket on debian stable?

2011-01-01 Thread Philippe Meunier
John Clements wrote: Debian is a slow-moving distribution, and it looks to me like the version of libgtk in the stable version of Debian Lenny isn't new enough for DrRacket. Here's what I get on startup: On a related note, I just tried to compile DrRacket on a week-old OpenBSD 4.8-current and got

[racket-dev] up-to-date libgtk for drracket on debian stable?

2010-12-31 Thread John Clements
Debian is a slow-moving distribution, and it looks to me like the version of libgtk in the stable version of Debian Lenny isn't new enough for DrRacket. Here's what I get on startup: ffi-obj: couldn't get gtk_combo_box_set_button_sensitivity from libgtk-x11-2.0.so.0

Re: [racket-dev] up-to-date libgtk for drracket on debian stable?

2010-12-31 Thread Matthew Flatt
Thanks! I have a Debian Stable installation that I try periodically. I guess it's time to give it a try and patch up the problems. Also, I try to pay attention to the version information in Gtk and other documentation, but sometimes I forget to pay attention, and sometimes I forget that a